import { ReactElement } from 'react';
export interface Step {
    key: string;
    title: string;
    body: ReactElement;
    button: string;
}
export interface TutorialProps {
    steps: Step[];
    tutorialTitle: string;
    imageSource?: string;
    tutorialIntro: string;
}
/**
 * @deprecated since version 6.3.0. We use TutorialProvider instead, and add tutorials to a database on amplify-portal.
 * You can read a small guide in the front-end docs on the JS devops (JS devops -> Overview -> Wiki -> Documentation ->
 * Front-end docs -> Guides -> Creating tutorial for TutorialProvider)
 */
declare const Tutorial: import("react").ForwardRefExoticComponent<TutorialProps & import("react").RefAttributes<HTMLDivElement>>;
export default Tutorial;
