import{Link as t}from"react-router-dom";import{tokens as e}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import"../../atoms/style/colors.js";import{spacings as i}from"../../atoms/style/spacings.js";import{HEIGHT as o}from"./TableOfContents.constants.js";import{motion as r}from"framer-motion";import a,{css as n}from"styled-components";const{colors:s,shape:l}=e,d=a.button`
  &:hover {
    background: ${s.interactive.primary__hover_alt.rgba};
  }
  &:focus {
    outline: 2px dashed ${s.interactive.focus.rgba};
    outline-offset: -4px;
  }
  position: relative;
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
  gap: ${i.small};
  color: ${s.text.static_icons__default.rgba};
  cursor: pointer;
  padding: 0 ${i.medium};
  height: ${({$variant:t})=>o[t]};
  transition: background 200ms;
  > span {
    display: flex;
    flex-direction: column;
    position: relative;
    text-align: left;
    font-family: 'Equinor', sans-serif;
    font-weight: 700;
    font-size: 14px;
  }
  ${({$variant:t,$active:e})=>{switch(t){case"buttons":return n`
          border-radius: ${l.corners.borderRadius};
          background: ${e?s.interactive.primary__hover_alt.rgba:"none"};
        `;case"border":return n`
          > span {
            font-weight: ${e?700:500};
            &:after {
              height: 0;
              display: block;
              content: attr(title);
              font-weight: 700;
              font-size: 14px;
              overflow: hidden;
              visibility: hidden;
            }
          }
        `}}}
  ${({$active:t})=>!t&&n`
      &:disabled {
        color: ${s.interactive.disabled__text.rgba};
        cursor: not-allowed;
      }
    `}
`,c=a(t)`
  text-decoration: none;
  &:focus,
  &:hover,
  &:active {
    text-decoration: none;
    color: ${s.text.static_icons__default.rgba};
  }
  &:hover {
    background: ${s.interactive.primary__hover_alt.rgba};
  }
  &:focus-visible {
    color: ${s.text.static_icons__default.rgba};
    outline: 2px dashed ${s.interactive.focus.rgba};
    outline-offset: -4px;
  }

  ${({$disabled:t,$active:e})=>t&&!e&&n`
      color: ${s.interactive.disabled__text.rgba} !important;
      &:hover {
        cursor: not-allowed;
      }
    `};

  position: relative;
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
  gap: ${i.small};
  color: ${s.text.static_icons__default.rgba};
  cursor: pointer;
  padding: 0 ${i.medium};
  height: ${({$variant:t})=>o[t]};
  transition: background 200ms;

  > span {
    display: flex;
    flex-direction: column;
    position: relative;
    text-align: left;
    font-family: 'Equinor', sans-serif;
    font-weight: 700;
    font-size: 14px;
  }
  ${({$variant:t,$active:e})=>{switch(t){case"buttons":return n`
          border-radius: ${l.corners.borderRadius};
          background: ${e?s.interactive.primary__hover_alt.rgba:"none"};
        `;case"border":return n`
          > span {
            font-weight: ${e?700:500};
            &:after {
              height: 0;
              display: block;
              content: attr(title);
              font-weight: 700;
              font-size: 14px;
              overflow: hidden;
              visibility: hidden;
            }
          }
        `}}}
`,u=a.div`
  display: flex;
  flex-direction: column;
  position: relative;
  &:after {
    position: absolute;
    left: 0;
    top: ${({$activeIndex:t,$index:e})=>100*(t-e)+"%"};
    content: '';
    width: 2px;
    height: 100%;
    background: ${s.interactive.primary__resting.rgba};
    z-index: 100;
  }
`,f=a(r.div)`
  display: flex;
  flex-direction: column;
  position: relative;
  ${({$variant:t})=>n`
    min-height: ${o[t]};
    ${"buttons"===t&&`gap: ${i.x_small};`}
  `}
`,p=a(r.div)`
  display: flex;
  flex-direction: column;
  height: fit-content;
  overflow: hidden;
  ${({$variant:t})=>{switch(t){case"buttons":return`gap: ${i.small};`;case"border":return n`
          &:after {
            position: absolute;
            left: 0;
            content: '';
            width: 2px;
            height: 100%;
            background: ${s.ui.background__medium.rgba};
          }
        `}}}
`,m=a(r.div)`
  display: flex;
  flex-direction: column;
  ${({$shouldShowChildren:t})=>t?null:n`
          visibility: hidden;
          height: 0 !important;
        `}
  > div > button, a {
    ${({$variant:t})=>{switch(t){case"buttons":return n`
            margin-left: ${i.medium};
          `;case"border":return n`
            padding-left: ${i.x_large};
          `}}}
  }

  ${({$variant:t})=>"buttons"===t&&`gap:${i.x_small};`}
`;export{u as BorderItemsContainer,d as Button,m as ChildContainer,c as Link,p as TableOfContentsContainer,f as TableOfContentsItemContainer};
