import{colorMap as t,darkenColor as o}from"./ApplicationIcon.utils.js";import e,{keyframes as r,css as a}from"styled-components";const i=r`
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1) rotate(360deg);
  }
`,s=r`
  0% {
    transform: scaleY(1) rotateZ(0deg);
  }
  50% {
    transform: scaleY(0.95) rotateZ(-1deg);
  }
  100% {
    transform: scaleY(1) rotateZ(0deg);
  }
`,n=e.div`
  width: ${({$size:t})=>`${t}px`};
  height: ${({$size:t})=>`${t}px`};
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  position: relative;
  box-sizing: content-box;
  transition: border-radius 350ms ease;
  border-radius: 16%;

  &:after {
    content: '';
    transition:
      border-radius 350ms,
      transform 200ms linear;
    width: ${({$size:t})=>t-t/8+"px"};
    height: ${({$size:t})=>t-t/8+"px"};
    position: absolute;
    transform: scale(1.5);
    border-radius: 100%;
    pointer-events: none;
    border: ${({$size:t})=>t/8+"px"} solid
      color-mix(in srgb, ${({$color:o})=>t[o]} 10%, white);
    border-top-color: ${({$color:o})=>t[o]};
  }

  ${({$animationState:t})=>"loading"===t?a`
          border-radius: 100%;

          &:after {
            animation: ${i} 1750ms infinite ease;
            animation-delay: 250ms;
            transform: scale(1);
          }
        `:""}
  position: relative;
  ${({$color:t,$iconOnly:e})=>e?a`
        > div {
          svg {
            filter: none;
          }
        }
      `:a`
      box-shadow:
        0 105px 68px 0 ${o(t,0,"00")},
        0 96px 62px 0 ${o(t,.1,"03")},
        0 56px 52px 0 ${o(t,.5,"0D")},
        0 32px 39px 0 ${o(t,.9,"17")},
        0 8px 21px 0 ${o(t,.1,"1a")};
    `}
`,p=e.div`
  --pos: 12.5%;
  position: absolute;
  top: var(--pos);
  left: var(--pos);
  bottom: var(--pos);
  right: var(--pos);
  z-index: 999;
  pointer-events: none;
  opacity: 1;
  svg {
    filter: drop-shadow(0px 256px 72px rgba(0, 0, 0, 0))
      drop-shadow(0px 164px 55px rgba(0, 0, 0, 0.04))
      drop-shadow(0px 92px 45px rgba(0, 0, 0, 0.09))
      drop-shadow(0px 41px 31px rgba(0, 0, 0, 0.12))
      drop-shadow(0px 10px 13px rgba(0, 0, 0, 0.14));
  }
`,d=e.div`
  width: 100%;
  height: 100%;
  background-color: ${({$color:o})=>t[o]};
  transform: ${({$rotationVariant:t})=>x(t)};
  position: absolute;

  .noiseShape {
    mix-blend-mode: multiply;
    filter: grayscale(1);
  }
`,l=e.div`
  height: 141.6%;
  min-width: 141.6%;
  overflow: hidden;
  position: relative;
  filter: saturate(1.75);
  transform: scaleY(1);

  ${({$animationState:t})=>{switch(t){case"hoverable":return a`
          & .wave:first-child {
            top: -5%;
          }
          &:hover {
            & .wave {
              transform: scaleY(0);
            }
          }
        `;case"animated":return a`
          & .wave {
            transform: scaleY(1);
            transition-delay: 0ms !important;
            animation: ${s} 5000ms ease-in-out infinite alternate;
          }
        `;case"loading":return a`
          & .wave {
            animation: unset;
            transform: scaleY(0);
            transition-delay: 200ms;
          }
        `;default:return a``}}}
`,m=e.div`
  position: absolute;
  top: ${({$waveIntervalDist:t})=>`${t}%`};
  transform-origin: bottom;
  height: 100%;
  width: 100%;
  transition:
    transform 950ms ease,
    top 950ms ease;
  mix-blend-mode: soft-light;
  filter: contrast(1.2) brightness(1.1);
  svg {
    position: absolute;
    left: 0;
  }
`,x=(t=0)=>{const o=["rotate(-45deg)","rotate(45deg)","rotate(135deg)","rotate(225deg)"];return o[t%o.length]};export{n as AppIconContainer,p as IconContainer,m as Wave,d as WaveInnerContainer,l as Waves};
