import { FC, MutableRefObject, ReactElement } from 'react';
import { AccountInfo } from '@azure/msal-common';
export interface AccountProps {
    account: AccountInfo | undefined;
    logout: () => void;
    photo: string | undefined;
    roles: string[] | undefined;
    renderCustomButton?: (buttonRef: MutableRefObject<HTMLButtonElement | null>, handleToggle: () => void) => ReactElement;
}
export declare const Account: FC<AccountProps>;
